# Example config for a headless root server running docker

FQDN=v2202012136854137045.happysrv.de
STATIC_IP=45.83.105.88
IPV6_CAPABLE=1
HOSTNAME=p1st-arch-1
USERNAME=yoda

TARGET_BLOCK_DEVICE=/dev/sda
BOOT_PART_SIZE=500  # MiB
FS=BTRFS
FS_CHOSEN_MOUNT_OPTIONS=('noatime')

CPU_VENDOR=none
BIOS_TYPE=uefi

# If set to "1", then the data, boot and luks partitions
# will be left mounted/opened after installation
LEAVE_MOUNTED=0

PACSTRAP_INTERACTIVE=1

ADDITIONAL_PKGS=()
# to skip pacman selections
ADDITIONAL_PKGS+=('mkinitcpio' 'de-p1st-kernel-lts' 'de-p1st-ucode-placeholder' 'qemu-guest-agent')
# remote ssh access
ADDITIONAL_PKGS+=('de-p1st-ssh' 'de-p1st-ssh-key-yoda')
# docker and docker-compose
ADDITIONAL_PKGS+=('docker' 'docker-compose')
